Bug 985933 - File-LibMagic 0.96 does not build with perl 5.18
File-LibMagic 0.96 does not build with perl 5.18
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-File-LibMagic (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/t...
:
Depends On: 1001689
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 10:22 EDT by Petr Pisar
Modified: 2013-09-22 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-File-LibMagic-1.00-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 04:04:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 85210 None None None Never
CPAN 86799 None None None Never

  None (edit)
Description Petr Pisar 2013-07-18 10:22:51 EDT
perl-File-LibMagic fails to build with perl-5.18:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.7K7Oii
+ umask 022
+ cd /builddir/build/BUILD
+ cd File-LibMagic-0.96
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
"my" variable $mm_attr_key masks earlier declaration in same statement at inc/Devel/CheckLib.pm line 168.
"my" variable $arg masks earlier declaration in same statement at inc/Devel/CheckLib.pm line 176.
"my" variable $arg masks earlier declaration in same statement at inc/Devel/CheckLib.pm line 177.
"my" variable $arg masks earlier declaration in same scope at inc/Devel/CheckLib.pm line 181.
"my" variable %args masks earlier declaration in same scope at inc/Devel/CheckLib.pm line 181.
"my" variable $arg masks earlier declaration in same statement at inc/Devel/CheckLib.pm line 182.
"my" variable $arg masks earlier declaration in same statement at inc/Devel/CheckLib.pm line 183.
syntax error at inc/Devel/CheckLib.pm line 163, near "$mm_attr_key qw(LIBS INC)"
syntax error at inc/Devel/CheckLib.pm line 170, near "}"
Global symbol "%args" requires explicit package name at inc/Devel/CheckLib.pm line 174.
syntax error at inc/Devel/CheckLib.pm line 178, near "}"
syntax error at inc/Devel/CheckLib.pm line 184, near "}"
Global symbol "@headers" requires explicit package name at inc/Devel/CheckLib.pm line 191.
Global symbol "@libs" requires explicit package name at inc/Devel/CheckLib.pm line 222.
Global symbol "@libpaths" requires explicit package name at inc/Devel/CheckLib.pm line 229.
Global symbol "@libpaths" requires explicit package name at inc/Devel/CheckLib.pm line 235.
Global symbol "@libpaths" requires explicit package name at inc/Devel/CheckLib.pm line 239.
syntax error at inc/Devel/CheckLib.pm line 251, near "}"
inc/Devel/CheckLib.pm has too many errors.
Compilation failed in require at Makefile.PL line 8.
BEGIN failed--compilation aborted at Makefile.PL line 8.

This is fixed with in new upstream release 0.97, but that release segfaults <https://rt.cpan.org/Public/Bug/Display.html?id=86799>.
Comment 1 Jitka Plesnikova 2013-08-27 09:15:40 EDT
The segfault is related to multiple magic_load() w/ non-default database segfault (for more info see http://bugs.debian.org/708281)
Comment 2 Fedora Update System 2013-09-09 06:38:29 EDT
perl-File-LibMagic-1.00-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-File-LibMagic-1.00-1.fc20
Comment 3 Fedora Update System 2013-09-09 12:19:32 EDT
Package perl-File-LibMagic-1.00-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-File-LibMagic-1.00-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16140/perl-File-LibMagic-1.00-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora End Of Life 2013-09-16 13:08:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora Update System 2013-09-22 20:49:45 EDT
perl-File-LibMagic-1.00-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.